/**********************************************************************/
/* Agence Technique de l'Information sur l'Hospitalisation (A.T.I.H.) */
/* Date de cration : Octobre 2003                                    */
/*                                                                    */
/* Programme de trancodage d'un fichier de RHS V0 en V0bis            */
/*                                                                    */
/* Contact : support@atih.sante.fr                                    */
/**********************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define NBTRANSCOD 533
#define TAILLE_CODE 8
#define NBSUPPR 62

/* Fonction permettant le transcodage d'un code CCAM V0 en CCAMV0bis.
Prend en entre 2 chanes de caractres initialises par le programme appelant.
La premire contient le code en CCAMV0
La seconde contiendra le code en CCAMV0bis.
	Si le code est supprim, ce paramtre sera gal  une chane remplie de caractres blanc ' '.
	Si le code est transcod, ce paramtre sera gal au code transcod.
	Si le code est inchang, ce paramtre est gal au premier paramtre.
Les diffrents valeur du retour de la fonction sont
    1 : Si le code en paramtre 1 est transcod
    0 : Si le code en paramtre 1 est inchang
   -1 : Si le code en paramtre 1 est supprim
*/
int transcod(char codev0[],char codev0b[])
{
	int i;
	static char liste_ccamv0b[NBTRANSCOD][TAILLE_CODE+1]=
{
"AZMP0020","ABQP0010","ABML0010","ABSE0010","ABFA0080","ACHE0010","ACQP0010","KFFA0010","ACPA0010","AHQB0300","AHQB0310","AHQE0020","AZQP0020","AHQP0050","AHQP0060","AHQP0070","BGQP0100",
"BGQP0110","BGQP0120","AHPA0250","ABJB0020","AFLB0100","AHPA0260","ADQB0070","AHCA0230","AGLB0010","BAMB0010","BDLA0020","BDLA0030","BDLA0040","BELA0020","BHGA0080","BHJB0010","BHMA0030",
"BHQP0010","BHQP0020","BHQB0010","BHRP0010","BKMA0040","BLLP0010","CALP0010","DBFA0020","DAPA0010","DAPC0010","DAMA0070","EZNF0030","DBLA0010","DBLA0020","DGLA0010","EPMA0010","DGLA0020",
"EPMA0020","DGLF0060","DGFA0130","DGFA0140","DGFA0150","DGFA0160","DGFA0170","DGFA0180","DGFA0190","DGFA0200","DFMA0100","DFCA0020","DFCA0030","DFCA0040","DFCA0050","DFCA0060","DFCA0070",
"DFCA0080","DFCA0090","DFCA0100","EQGA0030","EQGA0040","EZGF0010","EQKA0020","EQKA0030","EQLA0100","EQLA0110","EQLA0050","DBLA0030","EQLA0040","EQLA0070","EQLA0080","EQLA0030","EQLA0060",
"EQLA0090","DFMA0110","DFMA0120","DEMP0030","ECPA0030","ECQH0100","ECQH0110","ECQJ0010","EQQP0130","EZSA0050","EBQF0010","EBQF0020","EBQF0030","EBQF0040","EBQF0050","EBFA0180","EBFA0190",
"EBFA0200","EBFA0210","EBSH0010","DGCA0320","EBHA0020","ECFA0050","ECFA0060","EDFA0090","EDFA0100","ECQH0120","ECQH0130","ECQH0140","EDCA0030","ECLF0040","EEFA0060","EJCA0030","EGLF0020",
"EHQH0010","EJQM0020","EQBP0010","EJGA0010","EJGA0020","EJGA0030","ENCA0010","ENFA0070","ENNH0010","ENSF0010","ENSF0020","ENSF0030","JHCA0070","ENNH0020","NJQP0010","ENLF0010","EQQM0060",
"EQQP0070","EQQP0080","EQQP0090","EQQP0100","DERP0060","EFCA0020","EFFA0030","EBLB0010","EQQF0070","EFSA0010","GLJF0010","GLJF0020","EZKA0010","GLLB0010","EQLF0040","DKMD0010","DKMD0020",
"EQCF0020","PDQB0010","GLQP0150","EQQP0110","EQQP0120","EQRM0010","EQMP0010","DKRP0010","DKRP0020","GLRP0030","GLRP0040","DKRP0030","EZNF0040","FERP0010","FGRB0060","FGRB0070","GALP0010",
"GCQE0020","FGRP0100","LAFE0010","LAFE0020","LAFE0030","LAFE0040","LAFE0050","LAFE0060","LAFE0070","LAFE0080","LAFE0090","LAFE0100","QBQA0010","GBQE0010","GBQE0020","GEFA0010","GEFA0020",
"GEFA0030","GEFA0040","GEFA0050","GEFA0060","GEFA0070","GEFA0080","GEFA0090","GEFA0100","GEFA0110","GEFA0120","GLQD0020","GLQD0030","GLQD0040","GLQD0050","GLQD0060","GLQD0070","GFFA0350",
"GLLP0050","GLMF0010","GLQP0160","LLGA0020","LLJA0010","LLJA0020","LLJA0030","HALD0050","GALP0020","GAMA0250","GAMA0260","HAMB0010","HDQE0010","HBBD0040","HBBD0050","HBBD0060","HBMD0220",
"HBMD0230","HBMD0240","HBMD0250","HBMD0260","HBMD0270","HBMD0280","HBMD0290","HBMD0300","HBMD0310","HBMD0320","HBMD0330","HBMD0340","HBMD0350","HBMD0360","HBMD0370","HBLD0220","HBLD0230",
"HBLD0240","HBLD0250","HBLD0260","HBLD0270","HBLD0280","HBLD0290","HBLD0300","HBLD0310","HBLD0320","HBLD0330","HBLD0340","HBLD0350","HBLD0360","HBLD0370","HBLD0380","HBLD0390","HBLD0400",
"HBLD0410","HBLD0420","HBLD0430","HBDD0160","HCNM0010","HEFA0210","HJFA0210","HJFA0220","HJFA0230","HJFA0240","HJFA0250","HJFA0260","HJQJ0030","HMJE0010","HMQA0010","HNQH0040","HMQG0020",
"HGFA0140","HGFE0050","HGPE0010","ZCFA0010","HQQK0010","KGRL0010","HRQP0010","JZQD0010","JZQH0020","JZQH0030","JAHJ0040","JAHJ0050","JAKD0010","JBFA0020","JBFC0010","JACA0020","JACH0020",
"JACH0030","JCGC0010","JCGC0020","JCGC0030","JCCA0120","JCCA0130","JMBA0010","JMDA0010","JDDA0080","JEHE0020","JDFA0180","JDFE0030","JDMA0030","JEFA0080","JEFA0090","JEFA0100","JEFA0110",
"JEFA0120","JDPE0020","JDSA0100","JDFA0190","JDFA0200","JDFA0210","JDFA0220","JDFA0230","JDFA0240","JDFA0250","JHQH0010","JHLA0050","JHQP0020","JJPA0030","JJPA0040","JJPC0030","JLQE0020",
"JZMA0020","JZMA0030","JQGD0140","JQCB0010","JPQE0010","JSEC0010","JHFB0010","JJFC0110","JJFJ0010","JKHD0020","JKHD0030","QBFA0140","GBFA0040","GBFA0050","GBFA0060","LABA0040","GBBA0020",
"LAFA0120","LBLD0240","LAMA0120","LECA0010","LFCA0030","LFCA0040","LDCA0110","LECA0020","LECA0030","LFCA0050","LECA0040","LDCA0120","LECA0050","LDCA0130","LECA0060","LECC0010","LFCC0010",
"LDEB0010","LDEP0020","LDFA0060","LDFA0070","LFFA0080","LFFA0090","LEFA0040","LFFA0100","LEFA0050","LFFA0110","LEFA0060","LDFA0080","LDFA0090","LEFA0070","LEFA0080","LFFA0120","LEFA0090",
"LDFA0100","LFFA0130","LDFA0110","LEFA0100","LEFA0110","LDFA0120","LEFA0120","LFFC0010","LEFC0010","LEFC0020","LFFC0020","LEGA0010","LDGA0020","LEGA0020","LFGA0010","LEHA0010","LEHA0020",
"LDHA0020","LEHA0030","LFHA0010","LEHC0010","LFHC0010","LFMA0010","LHKA0010","LEMA0010","LEMA0020","LEMA0030","LEMA0040","LEPA0010","LEPA0020","LDPA0080","LFPA0010","LEPA0030","LEPA0040",
"LFPA0020","LFPA0030","LDPA0090","LEPA0050","LEPA0060","LEPA0070","LEPA0080","LDPA0100","LHLB0020","LMBA0010","KCFA0110","LCFA0030","BAFA0190","LCFA0040","LCFA0050","GAFA0090","LCFA0060",
"GAFA0100","LCFA0070","LCFA0080","GAFA0110","LCFA0090","LCFA0100","LCFA0110","LCFA0120","LCPA0020","LCQH0010","LCQJ0010","LCQK0010","LCQK0020","LCQN0010","LMQP0010","MELH0010","MDAA0020",
"MAFA0070","MEKA0050","MEKA0060","MEKA0070","MEKA0080","MEKA0090","MEKA0100","MFKA0020","MFKA0030","MGKA0020","MGKA0030","MBAA0020","MZFA0140","MZFA0150","ZDMP0010","ZDMP0020","ZDMP0030",
"ZDMP0040","ZDMP0050","ZDMP0060","ZDMP0070","ZDMP0080","ZDMP0090","ZDMP0100","ZDMP0110","ZDMP0120","ZDMP0130","ZDMP0140","ZDMP0150","ZDMP0160","ZDMP0170","ZDMP0180","MJPA0140","NEMA0200",
"NEMA0210","NBAA0040","NBAA0050","NFDA0090","NFDC0010","NDAA0020","NEKA0100","NEKA0110","NEKA0120","NEKA0130","NEKA0140","NEKA0150","NEKA0160","NEKA0170","NEKA0180","NEKA0190","NEKA0200",
"NEKA0210","NAQK0010","NAQK0020","NAQK0030","NADA0020","NADA0030","NADA0040","NADA0050","NADA0060","NADA0070","NFKA0060","NFKA0070","NFKA0080","NFKA0090","NGKA0010","NHKA0010","NGFA0020",
"ZEMP0010","ZEMP0020","ZEMP0030","ZEMP0040","ZEMP0050","ZEMP0060","ZEMP0070","ZEMP0080","ZEMP0090","ZEMP0100","QAMA0160","QEMB0010","QAEA0140","QAEA0150","QZLA0050","QZLP0010","ZALP0020",
"GEQE0130","ZZLF0120","ZZLF0130","ZZLF0140","ZZEP0010","KGQP0010"};

	static char liste_ccamv0[NBTRANSCOD][TAILLE_CODE+1]=
{
"AAMP0010","ABQB0020","ABQL0010","ABSC0010","ACFA0300","ACHC0010","ACLP0010","ADFA0010","ADPA0060","ADQB0040","ADQB0050","ADQB0060","ADQP0010","ADQP0050","ADQP0080","ADQP0090","ADQP0100",
"ADQP0110","ADQP0120","AEPA0030","AFJB0010","AFMB0010","AHFA0060","AHQB0050","AJCA0010","ANLB0010","BAMP0010","BDKA0010","BDKA0020","BDKA0030","BDKA0040","BEGA0010","BEJB0030","BEMA0070",
"BEQP0030","BEQP0050","BEQP0060","BERP0010","BKBA0020","BKKP0010","CAKP0010","DAFA0040","DASA0050","DASC0010","DBMA0140","DDNF0010","DFLA0010","DFLA0020","DGLF0040","DGMA0040","DGMA0140",
"DGMA0150","DGMF0010","DGPA0020","DGPA0030","DGPA0040","DGPA0060","DGPA0070","DGPA0090","DGPA0110","DGPA0150","DHMA0010","DZCA0010","DZCA0020","DZCA0030","DZCA0040","DZCA0050","DZCA0060",
"DZCA0070","DZCA0080","DZCA0090","DZGA0010","DZGA0020","DZGF0010","DZKA0010","DZKA0020","DZKA0030","DZLA0010","DZLA0020","DZLA0030","DZLA0040","DZLA0050","DZLA0060","DZLA0070","DZLA0080",
"DZLA0090","DZMA0080","DZMA0130","DZMP0010","DZPA0010","DZQH0010","DZQH0020","DZQJ0040","DZQP0010","DZSA0030","EAQF0020","EAQF0030","EAQF0040","EAQF0050","EAQF0060","EBPA0010","EBPA0020",
"EBPA0040","EBPA0050","EBSF0020","ECCA0080","ECHA0010","ECPA0010","ECPA0020","EDPA0030","EDPA0040","EDQH0020","EDQH0040","EDQH0090","EECA0040","EELF0010","EEPA0010","EGCA0010","EGLB0010",
"EGQH0010","EGQM0010","EJBP0010","EJFA0010","EJFA0030","EJFA0050","EKCA0010","EKFA0010","EKNH0010","EKSF0010","EKSF0020","EKSF0030","ELCA0010","ELNH0010","EMQP0010","ENLG0010","ENQM0010",
"ENQP0010","ENQP0020","ENQP0030","ENQP0040","ENRP0010","EPCA0040","EPFA0020","EPLB0010","EPQF0010","EPSA0010","EQJF0010","EQJF0020","EQKA0010","EQLB0010","EQLG0020","EQMD0010","EQMD0020",
"EQMF0010","EQQB0010","EQQF0050","EQQG0010","EQQH0050","EQQM0020","EQQP0060","EQRP0030","EQRP0040","EQRP0050","EQRP0060","EQRP0070","EZPF0020","FELP0010","FGRF0010","FGRF0020","GAKP0010",
"GAQE0020","GARP0010","GBFE0010","GBFE0020","GBFE0030","GBFE0040","GBFE0050","GBFE0060","GBFE0080","GBFE0090","GBFE0100","GBFE0110","GBQC0010","GBQC0020","GBQC0030","GEPA0010","GEPA0020",
"GEPA0030","GEPA0050","GEPA0060","GEPA0070","GEPA0080","GEPA0090","GEPA0100","GEPA0110","GEPA0120","GEPA0130","GFQD0010","GFQD0020","GFQF0010","GFQL0030","GFQP0020","GFQP0030","GGFA0020",
"GLLD0140","GLQF0020","GZQP0010","HAGA0010","HAJA0010","HAJA0040","HAJA0050","HAKD0010","HALP0010","HAMA0130","HAMA0190","HAMP0010","HAQE0010","HBDD0040","HBDD0050","HBDD0060","HBFD0040",
"HBFD0050","HBFD0070","HBFD0090","HBFD0120","HBFD0130","HBFD0160","HBFD0180","HBFD0220","HBFD0230","HBFD0250","HBFD0270","HBFD0290","HBFD0300","HBFD0340","HBFD0360","HBKD0010","HBKD0020",
"HBKD0030","HBKD0040","HBKD0060","HBKD0070","HBKD0080","HBKD0090","HBKD0100","HBKD0110","HBKD0120","HBKD0130","HBKD0140","HBKD0150","HBKD0160","HBKD0170","HBKD0180","HBKD0190","HBKD0200",
"HBKD0210","HBKD0220","HBKD0230","HBMD0210","HCNJ0010","HEPA0080","HHFA0070","HHFA0120","HHFA0130","HHFA0150","HHFA0190","HHFE0030","HKQJ0010","HMLE0010","HMQG0010","HMQH0090","HMQH0100",
"HNFA0030","HNFE0010","HNPE0010","HPFA0020","HQQH0010","HRRL0010","HZQD0010","JAQD0010","JAQH0010","JAQH0020","JBHJ0010","JBHJ0020","JBKD0010","JBPA0010","JBPC0010","JCCA0040","JCCH0010",
"JCCH0020","JCGG0020","JCGG0030","JCGG0040","JCLA0010","JCLA0020","JDBA0010","JDDA0010","JDDC0010","JDHE0040","JEFA0060","JEFE0020","JEMA0080","JEPA0020","JEPA0030","JEPA0040","JEPA0050",
"JEPA0070","JEPE0030","JESA0020","JGFA0010","JGFA0020","JGFA0030","JGFA0040","JGFA0100","JGFA0120","JGFA0130","JGQH0020","JHKA0010","JHQE0010","JJSA0010","JJSA0020","JJSC0010","JLQD0010",
"JMMA0030","JMMA0060","JNGD0010","JPCB0010","JPQC0010","JSEG0010","JSFB0010","JSFC0010","JSFJ0010","JSHD0010","JSHD0020","JZFA0010","LAFA0070","LAFA0090","LAFA0100","LBBA0010","LBBA0020",
"LBFA0210","LBKD0010","LBMA0050","LHCA0030","LHCA0040","LHCA0050","LHCA0060","LHCA0070","LHCA0080","LHCA0090","LHCA0120","LHCA0130","LHCA0140","LHCA0150","LHCA0170","LHCC0010","LHCC0020",
"LHEP0010","LHEP0060","LHFA0020","LHFA0040","LHFA0050","LHFA0060","LHFA0080","LHFA0090","LHFA0100","LHFA0110","LHFA0120","LHFA0140","LHFA0150","LHFA0170","LHFA0180","LHFA0200","LHFA0210",
"LHFA0220","LHFA0230","LHFA0260","LHFA0300","LHFA0320","LHFA0330","LHFA0340","LHFC0010","LHFC0020","LHFC0030","LHFC0040","LHGA0010","LHGA0020","LHGA0030","LHGA0050","LHHA0010","LHHA0020",
"LHHA0030","LHHA0040","LHHA0050","LHHC0010","LHHC0020","LHMA0010","LHMA0020","LHMA0050","LHMA0090","LHMA0100","LHMA0120","LHPA0010","LHPA0020","LHPA0050","LHPA0070","LHPA0080","LHPA0090",
"LHPA0110","LHPA0120","LHPA0130","LHPA0140","LHPA0150","LHPA0160","LHPA0170","LHPA0180","LKLB0010","LLBA0010","LLFA0010","LLFA0020","LLFA0040","LLFA0050","LLFA0060","LLFA0070","LLFA0080",
"LLFA0090","LLFA0100","LLFA0110","LLFA0120","LLFA0140","LLFA0150","LLFA0160","LLFA0170","LLPA0010","LLQH0010","LLQJ0010","LLQK0010","LLQK0020","LLQN0010","LLQP0010","MALH0010","MDAB0010",
"MEFA0020","MEMA0020","MEMA0040","MEMA0070","MEMA0100","MEMA0130","MEMA0170","MFMA0020","MFMA0040","MGMA0010","MGMA0070","MZAB0010","MZGA0010","MZGA0020","MZMP0020","MZMP0030","MZMP0040",
"MZMP0050","MZMP0060","MZMP0070","MZMP0080","MZMP0090","MZMP0100","MZMP0110","MZMP0120","MZMP0130","MZMP0140","MZMP0150","MZMP0160","MZMP0170","MZMP0180","MZMP0190","MZPA0010","NAMA0010",
"NAMA0030","NBAB0010","NBAB0020","NBDA0010","NBDC0010","NDAB0010","NEMA0010","NEMA0040","NEMA0050","NEMA0060","NEMA0070","NEMA0080","NEMA0090","NEMA0100","NEMA0120","NEMA0140","NEMA0150",
"NEMA0160","NEQK0010","NEQK0030","NEQK0040","NFDA0010","NFDA0040","NFDA0050","NFDA0060","NFDA0070","NFDA0080","NFMA0010","NFMA0030","NFMA0090","NFMA0120","NGMA0020","NHMA0040","NJFA0070",
"NZMP0010","NZMP0020","NZMP0030","NZMP0040","NZMP0050","NZMP0060","NZMP0070","NZMP0080","NZMP0090","NZMP0100","QAMB0010","QEMP0010","QZEA0070","QZEA0150","QZKA0050","QZPP0010","ZAKP0010",
"ZBQE0010","ZZMF0010","ZZMF0020","ZZMF0030","ZZMP0020","ZZQP0020"};

   static char liste_ccamv0_supp[NBSUPPR][TAILLE_CODE+1]=
   {
    "ABLF0010","ABLF0020","ACLB0010","AFLB0020","AFLB0050","AFLF0010","AFLF0020","AFLF0030","AGQP0010","AGQP0020","AGQP0030","DAQJ0040","DAQM0020","DCLB0010","DEGA0010","DEKA0010","DELF0030",
    "DZMM0010","DZQM0040","EZMM0010","EZQH0010","GGJB0030","GGJB0040","GGLB0030","GGLB0040","HPLB0010","HZHE0030","LJFA0050","QZGA0090","QZKA0020","QZKA0030","ABLF0010","ABLF0020","ACLB0010",
    "AFLB0020","AFLB0050","AFLF0010","AFLF0020","AFLF0030","AGQP0010","AGQP0020","AGQP0030","DAQJ0040","DAQM0020","DCLB0010","DEGA0010","DEKA0010","DELF0030","DZMM0010","DZQM0040","EZMM0010",
    "EZQH0010","GGJB0030","GGJB0040","GGLB0030","GGLB0040","HPLB0010","HZHE0030","LJFA0050","QZGA0090","QZKA0020","QZKA0030"};


     for(i=0;i<NBSUPPR;i++)
	 {
         if (strncmp(liste_ccamv0_supp[i],codev0,7)==0){

		 strncpy(codev0b,"         ",9);
		  return(-1);
		 }
	 }

     for(i=0;i<NBTRANSCOD;i++)
	 {
		 if (strncmp(liste_ccamv0[i],codev0,7)==0){
		  strncpy(codev0b,liste_ccamv0b[i],9);
		  return(1);
		 }
	 }
     strncpy(codev0b,codev0,9);
	 return(0);
}


/* Programme de transcodage d'un fichier de RHS CCAM V0 en CCAMV0bis
Le programme prend 3 paramtres en entre :
Nom du fichier de RHS cod en CCAM V0. Ce fichier peut-tre group ou non, et il peut contenir des enregistrements au formats CDAM
Nom du fichier en sortie recod en CCAMV0 bis. Equivalent au fichier en entre dont seuls les codes CCAM ont t transcods
Nom du fichier de log.
Le programme cr un fichier erreur "transcod.err" se trouvant dans le rpertoire de l'xcutable contenant les informations suivantes :
N de ligne du fichier d'entre - N de RHS - N d'UM - Code supprim
*/
int main(int argc, char *argv[])
{
	char codev0b[10];
	int res,pos,i;
	int nbac;
	long nolig ;
	char buf1[2000];
	char zone[10];
	int offset;
	long nbtranscod,nbsuppr,nbtrait,nbenr;

	FILE *ent,*sor,*err,*log;

    if (argc < 4) {printf("Utilisation : transcod_rhs fichier_entree fichier_sortie\n");return 0;};

	if((log=fopen(argv[3],"w"))==NULL){printf("Pb d'ouverture fichier de log : %s\n",argv[3]);return 0;}
	if((ent=fopen(argv[1],"r"))==NULL){fprintf(log,"Pb d'ouverture fichier d'entre : %s\n",argv[1]);return 0;}
	if((sor=fopen(argv[2],"w"))==NULL){fprintf(log,"Pb d'ouverture fichier de sortie : %s\n",argv[2]);return 0;}
	if((err=fopen("transcod.err","w"))==NULL){printf("Pb d'ouverture fichier d'entre : transcod.err\n");return 0;}
    fprintf(log,"-----------------------------------------------------------\n");
    fprintf(log,"\n\n Rsultat du transcodage CCAM V0 - CCAM V0bis\n");
    nolig=0;
	nbtranscod=0;
	nbsuppr=0;
	nbenr=0;
	nbtrait=0;
	printf("%s\n",argv[1]);
	while(fgets(buf1,2000,ent)!=0)
	{
       nolig++;
	   if(strncmp(buf1+9,"M03",3)!=0 && strncmp(buf1+9,"M13",3)!=0) {
 	       fprintf(sor,"%s",buf1);
		   continue;
	   }
	   nbenr++;
	   offset=0;
	   if(strncmp(buf1+9,"M13",3)==0)offset=12;
       strncpy(zone,buf1+offset+218,2);zone[2]=0;
	   nbac=atoi(zone);

	   pos=220;
	   for(i=0;i<nbac;i++)
	   {
		  nbtrait++;
          strncpy(zone,buf1+offset+pos+(i*8),8);zone[8]=0;
		  res=transcod(zone,codev0b);
		  if (res== -1){
			  nbsuppr++;
			  fprintf(log,"N de ligne %d - N de RHS : %7.7s - IPP : %20.20s - N UM : %4.4s - N Semaine : %6.6s : Code CCAM supprim : %s \n",nolig,buf1+offset+12,buf1+offset+20,buf1+offset+87,buf1+offset+74,zone);
		  }
		  else {
			  if (res==1) nbtranscod++;
              strncpy(buf1+offset+pos+(i*8),codev0b,7);

		  }
	   }
	   fprintf(sor,"%s",buf1);
	 }
	fprintf(log,"\n\nLe transcodage est ralis sur tous les fichiers. \nIl n'est effectif que sur les fichiers de RHS utilisant des actes CCAM V0\n");

	fprintf(log,"Nombre d'enregistrements concerns (RHS format M03 ou M13): %d\n",nbenr);
	if(nbenr!=0){
		fprintf(log,"Nb d'actes traits :%d\n",nbtrait);
		fprintf(log,"Nb d'actes transcods :%d\n",nbtranscod);
		fprintf(log,"Nb d'actes supprims :%d\n",nbsuppr);
	}
	fclose(ent);
	fclose(sor);
	fclose(err);
return (0);
}